# ValueObjectPattern Class Reference
[Patterns used to build classes]

Inheritance diagram for ValueObjectPattern:
[legend]

List of all members.

## Public Member Functions

| tableExists ()
| guess what

## Protected Member Functions

| fullBuild (MetaClass $class)

## Detailed Description

Definition at line 15 of file ValueObjectPattern.class.php.

## Member Function Documentation

ValueObjectPattern::fullBuild | ( | MetaClass $ | class | ) | `[protected]`

Returns:
  ValueObjectPattern

Reimplemented from BasePattern.

Definition at line 25 of file ValueObjectPattern.class.php.

References BasePattern::buildBusiness(), and BasePattern::buildProto().

Here is the call graph for this function:

ValueObjectPattern::tableExists | ( |  | ) |

guess what

Reimplemented from BasePattern.

Definition at line 17 of file ValueObjectPattern.class.php.

The documentation for this class was generated from the following file:

- meta/patterns/ValueObjectPattern.class.php